%define origname xmms-crossfade

Name: xmms-out-crossfade
Version: 0.3.11
Release: alt1

Epoch: 20061109

Summary: Crossfade output plugin for XMMS
License: GPL
Group: Sound

Url: http://www.eisenlohr.org/xmms-crossfade
Source: %url/%origname-%version.tar.gz

Packager: Michael Shigorin <mike@altlinux.ru>

Obsoletes: xmms-crossfade

Summary(ru_RU.KOI8-R): " "  XMMS
Summary(uk_UA.KOI8-U): "' Ȧ"  XMMS

# Automatically added by buildreq on Wed Jul 06 2005
BuildRequires: gcc-c++ glib-devel gtk+-devel hostinfo libgtk+2-devel libsamplerate-devel libstdc++-devel libxmms-devel xmms xorg-x11-libs

# need new macros
BuildRequires: libxmms-devel >= 1.2.8-alt2

# applied recommended patch there
Requires: libxmms >= 1.2.10-alt11

%description
XMMS Output Plugin for Crossfading / Continuous Output

Features:
  * Crossfading
  * Continuous output
  * Gap-Killer: Some mp3-encoders produce small gaps of silence at the
    beginning or end of the stream. They can automatically be detected
    and removed.

%description -l ru_RU.KOI8-R
  XMMS   /  

:
  * 
  *   ( )
  *   :  mp3-   
        ,     
    .

%description -l uk_UA.KOI8-U
  XMMS   /  

æ:
  * έ
  *  צ ( )
  *   Ԧ: ˦ mp3-  
     ˦æ   ۦ,      .

%prep
%setup -q -n %origname-%version
subst 's,PLAYER_BIN="\$XMMS,&-bin,' configure.in

%build
autoreconf -fisv
%configure 
%make

%install
%makeinstall libdir=%buildroot%xmms_outputdir

%files
%doc AUTHORS README ChangeLog
%xmms_outputdir/libcrossfade.*

%changelog
* Thu Nov 09 2006 Michael Shigorin <mike@altlinux.org> 20061109:0.3.11-alt1
- 0.3.11
- no more TODO

* Mon Jun 05 2006 Michael Shigorin <mike@altlinux.org> 20060520:0.3.10-alt1
- tossed out and rebuilt (gcc4 is finally here)
- thanks vsu@ for unbraking by head on gtk2/glib2 autoconf macros
- tweaked configure.in to reflect that %_bindir/xmms is actually
  a shell wrapper in current ALT Linux package

* Wed Jan 25 2006 Michael Shigorin <mike@altlinux.org> 20060125:0.3.10-alt0
- 0.3.10
  + 0.3.9 missed due to upstream recommendation

* Wed Jul 06 2005 Michael Shigorin <mike@altlinux.org> 20050706:0.3.8-alt1
- 0.3.8
- should fix #7251 (skipping to the next song randomly)
- updated buildrequires

* Tue Dec 23 2003 Michael Shigorin <mike@altlinux.ru> 20031223:0.3.4-alt2
- rebuilt for Sisyphus

* Sat Nov 22 2003 Michael Shigorin <mike@altlinux.ru> 20031122:0.3.4-alt1
- updated for new plugin policy                                
- renamed to %name
- spec cleanup

* Thu Oct 23 2003 Michael Shigorin <mike@altlinux.ru> 0.3.4-alt1
- 0.3.4 (major bugfixes)

* Tue Oct 07 2003 Michael Shigorin <mike@altlinux.ru> 0.3.3-alt1
- 0.3.3 (minor bugfixes)

* Fri Apr 25 2003 Michael Shigorin <mike@altlinux.ru> 0.3.2-alt1
- 0.3.2 (minor bugfixes)

* Wed Mar 12 2003 Michael Shigorin <mike@altlinux.ru> 0.3.1-alt1
- 0.3.1
- now processes Pause, thanks Peter!
- usual spec cleanup

* Fri Nov 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.2.9-alt2
- Rebuilt in new environment
- Some spec cleanup
- Added buildrequires

* Wed Jun 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.2.9-alt1
- New version - 0.2.9

* Thu Feb 22 2001 Kostya Timoshenko <kt@petr.kz> 0.2.3-ipl1mdk
- build for RE

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.3-1mdk
- used srpm from  Gtz Waschk <waschk@linux-mandrake.com> :
- 0.2.3
- %%configure macro

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- updated to 0.2.2 by Gtz Waschk <waschk@linux-mandrake.com> 

* Wed Nov 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
- 0.2.1
- changed BuildReq for libxmms-devel

* Mon Nov 20 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- 0.2
- don't use configure macro
- fix installation

* Tue Oct  3 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- initial Mandrake build
